Impersonation Requests
POST
/impersonation_requests/{id}/denyCreate Impersonation Requests Deny
Request body: DenyImpersonationDTO
Responses: 200, 401
Generated from the code contract; no hand-written description yet.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/impersonation_requests/{{id}}/deny' \
-H 'Content-Type: application/json' \
-d '{
"reason": "<string>"
}'Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
| Name | Type | Value |
|---|---|---|
| reason | string | <string> |
{
"reason": "<string>"
}Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"admin_account_id": "<string>",
"target_user_id": "<string>",
"reason": "<string>",
"active": false,
"expires_at": "<RFC3339 timestamp>",
"consent_expires_at": "<RFC3339 timestamp>",
"consented_at": "<RFC3339 timestamp>",
"denied_at": "<RFC3339 timestamp>",
"denied_reason": "<string>",
"ended_at": "<RFC3339 timestamp>",
"ended_by": "<string>",
"created_at": "<RFC3339 timestamp>"
}401401 Unauthorized
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"location": "<string>",
"object": "<string>",
"message": "<string>",
"code": 0,
"key": "<string>",
"i18n_key": "<string>",
"provider": "<string>",
"provider_code": "<string>",
"param": "<string>",
"request_id": "<string>",
"reason": "<string>"
}